/*	igscomm.h
 *	S.Coffin   GV Computing   4/93
 */

/*  Copyright (c) 1992,1993,1994,1995 by Stephen Coffin.  All rights reserved.
 *
 *  This program is distributed in the hope that it will be useful.
 *  Use and copying of this software and preparation of derivative works
 *  based upon this software are permitted, so long as the following
 *  conditions are met:
 *       o credit to the authors is acknowledged following current
 *         academic behavior
 *       o no fees or compensation are charged for use, copies, or
 *         access to this software
 *	 o no fees or compensation are charged for access to the
 *	   game server for which this software is a client
 *       o this copyright notice is included intact.
 *  This software is made available AS IS, and no warranty is made about 
 *  the software or its performance. 
 * 
 *  Bug descriptions, use reports, comments or suggestions are welcome.
 *  Send them to    scoffin@netcom.com
 */

#include <stdio.h>
#include <fcntl.h>
#include <ctype.h>
#include <sys/param.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <sys/time.h>
#include <netinet/in.h>
#include <netdb.h>
#include <errno.h>
#include <signal.h>
#include <string.h>

#ifdef IBMrios
#include <sys/select.h>
#else
#ifdef AIXV3
#include <sys/select.h>
#endif
#endif 

#ifdef BSD
#include <sgtty.h>
#else
#include <termio.h>
#endif

#include "patchlevel.h"

#ifndef TRUE
#define TRUE 1
#endif
#ifndef FALSE
#define FALSE 0
#endif

extern void exit();
extern unsigned sleep();

extern int dbg;
extern int errno;

#define TIMEOUT 	10	/* seconds to wait between samples */

#define HOST		"203.255.112.3"
#define PORT		6969
#define MSG_SIZE	1024
